summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2021-07-04 21:06:02 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2021-07-04 21:06:02 +0900
commitbd72eef4a4458f8d2e52609d7b6cf3efe12a0177 (patch)
treeb797d29ee85d482247cfecda13d1fb572e4c4d62 /ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst
parent5051f08d847e70346920d72e34da55558b89145c (diff)
downloadtde-packaging-bd72eef4a4458f8d2e52609d7b6cf3efe12a0177.tar.gz
tde-packaging-bd72eef4a4458f8d2e52609d7b6cf3efe12a0177.zip
Rearranged applications folder into sub categories.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst')
-rw-r--r--ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst48
1 files changed, 48 insertions, 0 deletions
diff --git a/ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst b/ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst
new file mode 100644
index 000000000..704b3af61
--- /dev/null
+++ b/ubuntu/_base/applications/tdeio/tdeio-umountwrapper/debian/postinst
@@ -0,0 +1,48 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# Author: Frode M. Døving <frode@lnix.net> (C) 2007
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+#
+
+set -e
+
+case "$1" in
+ configure)
+ # remove existing diversions and related directories
+ divert=`dpkg-divert --listpackage "/opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop"`
+ if [ -n "$divert" ] && [ "$divert" = "tdeio-umountwrapper-trinity" ]; then
+ dpkg-divert --rename --remove /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
+ [ ! -d /opt/trinity/share/apps/konqueror/servicemenus ] || \
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ fi
+ divert=`dpkg-divert --listpackage "/opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop"`
+ if [ -n "$divert" ] && [ "$divert" = "tdeio-umountwrapper-trinity" ]; then
+ dpkg-divert --rename --remove /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop
+ [ ! -d /opt/trinity/share/apps/d3lphin/servicemenus ] || \
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
+ fi
+ ;;
+
+ *)
+ echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0